--Siegfried Fennig 07.02.2003 Rev.0

levelw = 20
levelh = 25

create_world(levelw, levelh)
draw_border("st-greenbrown")
fill_floor("fl-leaves", 0,0, level_width,level_height)
enigma.ConserveLevel = FALSE

oxyd ( 3,18)
oxyd (16,18)

draw_stones("st-grate1", {15, 2}, {1,1},3)
draw_stones("st-greenbrown", { 2, 3}, {1,0}, 3)
draw_stones("st-greenbrown_hole", { 5, 3}, {1,0}, 1)
draw_stones("st-greenbrown", { 5, 2}, {0,1}, 1)
draw_stones("st-greenbrown", { 1,12}, {1,0}, 5)
draw_stones("st-greenbrown", { 7,12}, {1,0}, 6)
draw_stones("st-greenbrown", { 4,10}, {1,0}, 2)
draw_stones("st-greenbrown", { 7,10}, {1,0}, 6)
draw_stones("st-greenbrown", {14,10}, {1,0}, 2)
draw_stones("st-greenbrown", {14,12}, {1,0}, 5)

set_stone("st-oneway", 1, 3, {orientation=enigma.NORTH})
set_stone("st-oneway", 5, 1, {orientation=enigma.EAST})
set_stone("st-oneway", 4,11, {orientation=enigma.WEST})
set_stone("st-oneway",15,11, {orientation=enigma.EAST})
set_stone("st-oneway", 6,10, {orientation=enigma.NORTH})
set_stone("st-oneway",13,10, {orientation=enigma.SOUTH})

fill_floor("fl-water",13,12, 1, 1)
fill_floor("fl-water", 8,13, 4,11)

set_item("it-seed", 5, 3)
set_item("it-coin",17, 2,{value=1})

set_stone("st-coinslot", 1, 1, {action="openclose", target="door1"})
doorh( 6,12, {name="door1"})

SetDefaultAttribs("it-wormhole", {range=1.0, strength=10})

set_item("it-wormhole", 5,18, {targetx="17.5",targety="23.5"})
set_item("it-wormhole",13,18, {targetx="2.5",targety="11.5"})

set_actor("ac-blackball", 2.5,11.5, {player=0})